# Mole

![Logo](assets/logo.svg)

Mole provides a model for graphs, both directed and undirected.

[![Unit Tests](https://github.com/ba-st/Mole/actions/workflows/unit-tests.yml/badge.svg)](https://github.com/ba-st/Mole/actions/workflows/unit-tests.yml/badge.svg)
[![Coverage Status](https://codecov.io/github/ba-st/Mole/coverage.svg?branch=release-candidate)](https://codecov.io/gh/ba-st/Mole/branch/release-candidate)
[![Baseline Groups](https://github.com/ba-st/Mole/actions/workflows/loading-groups.yml/badge.svg)](https://github.com/ba-st/Mole/actions/workflows/loading-groups.yml)
[![Markdown Lint](https://github.com/ba-st/Mole/actions/workflows/markdown-lint.yml/badge.svg)](https://github.com/ba-st/Mole/actions/workflows/markdown-lint.yml)

[![GitHub release](https://img.shields.io/github/release/ba-st/Mole.svg)](https://github.com/ba-st/Mole/releases/latest)
[![Pharo 7.0](https://img.shields.io/badge/Pharo-7.0-informational)](https://pharo.org)
[![Pharo 8.0](https://img.shields.io/badge/Pharo-8.0-informational)](https://pharo.org)
[![Pharo 9.0](https://img.shields.io/badge/Pharo-9.0-informational)](https://pharo.org)
[![Pharo 10](https://img.shields.io/badge/Pharo-10-informational)](https://pharo.org)

> *Name origin*: This project started as a topological model, which can be
> shortened to [**Topo**](https://es.wikipedia.org/wiki/Talpidae), the Spanish
> word for [Mole](https://en.wikipedia.org/wiki/Mole_(animal)).

## Quick links

- [**Explore the docs**](docs/README.md)
- [Report a defect](https://github.com/ba-st/Mole/issues/new?labels=Type%3A+Defect)
- [Request a feature](https://github.com/ba-st/Mole/issues/new?labels=Type%3A+Feature)

## License

- The code is licensed under [MIT](LICENSE).
- The documentation is licensed under [CC BY-SA 4.0](http://creativecommons.org/licenses/by-sa/4.0/).

## Installation

To load the project in a Pharo image follow this [instructions](docs/how-to/how-to-load-in-pharo.md).

## Contributing

Check the [Contribution Guidelines](CONTRIBUTING.md)
